Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.worklist.api.taskplan
Interface WorkAction

All Superinterfaces:
  Action, Comparable, EventSource, NamedIndexedObject, NamedObject, Serializable

All Known Subinterfaces:
  AssignToNextUserAction, Constructor, StepWorkAction

    public interface WorkAction

extends Action, Serializable

Represents an action that may be taken as a constructor or step action. A work action is only associated with exactly one ActionConnector instance when that work action has a non-null next step. In this case, the ActionConnector will be associated with both the source work action and target step.

Nested Class Summary
`static interface` | `WorkAction.Event` Property names for the PropertyChangeEvents that can be produced by edits on a object of this type.

Method Summary
`Step` | `getNextStep()` Get the Step representing the 'next' step for this action.
`String` | `getNextStepName()` Get the name of the next step for this action.
`ActionConnector` | `getSourceActionConnector()` Only returns non-null when next step is non-null.
`void` | `setNextStep(Step nextStep)`

Methods inherited from interface com.bea.wli.worklist.api.taskplan.Action
`addPropertyRef, addPropertyRef, getActionContainer, getPropertyNames, getPropertyRefs, removePropertyRef, removePropertyRef, setPropertyRefs`

Methods inherited from interface com.bea.wli.worklist.api.taskplan.NamedIndexedObject
`getIndex, setIndex`

Methods inherited from interface com.bea.wli.worklist.api.taskplan.NamedObject
`getDescription, getName, setDescription`

Methods inherited from interface com.bea.wli.worklist.api.taskplan.EventSource
`addPropertyChangeListener, addPropertyChangeListener, clearDirty, dispose, getParent, isComplete, isDirty, isInitializing, isStarted, markDirty, removePropertyChangeListener, removePropertyChangeListener, startProducing`

Methods inherited from interface java.lang.Comparable
`compareTo`

Method Detail

### getNextStepName

    String getNextStepName()

  Get the name of the next step for this action.

### getNextStep

    Step getNextStep()

  Get the Step representing the 'next' step for this action.

### setNextStep

    void setNextStep(Step nextStep)

### getSourceActionConnector

    ActionConnector getSourceActionConnector()

  Only returns non-null when next step is non-null.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD